<?php

namespace Drupal\synmap\Hook;

use Drupal\Core\Controller\ControllerBase;

/**
 * PreprocessHtml.
 */
class PageAttachments extends ControllerBase {

  /**
   * Hook.
   */
  public static function hook(array &$page) {
    $config = \Drupal::config('synmap.settings');
    $path = \Drupal::service('path.current')->getPath();
    $enable = $config->get('yamap-enable');
    $attach = $config->get('yamap-attach');
    $display = FALSE;
    if ($enable == 'enable_contact' && $path == $config->get('yamap-path')) {
      $display = TRUE;
    }
    if ($enable == 'enable' && substr($path, 0, 7) != '/admin/') {
      $display = TRUE;
    }

    if ($display) {
      $module = \Drupal::service('module_handler')->getModule('synmap')->getPath();
      $page['#attached']['library'][] = 'synmap/synmap.contact';
      $map['map'] = [
        'longitude' => $config->get('map-longitude')?:0,
        'latitude'  => $config->get('map-latitude')?:0,
        'zoom'      => $config->get('map-zoom')?:16,
        'attach'    => $attach,
        'centerAuto' => FALSE,
        'centerAutoX' => 0,
        'centerAutoY' => 50,
      ];
      $map['data']['contact'] = [
        'name'      => $config->get('yamap-name')?:'Синапс',
        'latitude'  => $config->get('map-latitude')?:39.8581,
        'longitude' => $config->get('map-longitude')?:59.2141,
        'icon' => [
          'iconLayout' => 'default#image',
          'iconImageHref' => "/$module/assets/images/yamap-ico.png",
          'iconImageSize' => [43, 57],
          'iconImageOffset' => [-21.5, -57],
        ],
      ];
      // Use `synmap`=>`synmapReplace` to REPLACE.
      $page['#attached']['drupalSettings']['synmap'] = $map;
    }
  }

}
